package com.hc.gpbusiness.service;

import com.github.pagehelper.PageInfo;
import com.hc.gpbusiness.model.WebNewsType;
import org.springframework.stereotype.Component;


/**
 * 课程标签表(NewsType)表服务接口
 *
 * @author java
 * @since 2020-07-29 16:23:09
 */

@Component
public interface WebNewsTypeService {

    /**
     * 通过ID查询单条数据
     *
     * @param tagId 主键
     * @return 实例对象
     */
    WebNewsType queryById(Integer tagId);

    /**
     * 新增数据
     *
     * @param courseTag 实例对象
     * @return 实例对象
     */
    WebNewsType insert(WebNewsType courseTag);

    /**
     * 修改数据
     *
     * @param courseTag 实例对象
     * @return 实例对象
     */
    WebNewsType update(WebNewsType courseTag);

    /**
     * 通过主键删除数据
     *
     * @param tagId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer tagId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}